Remove Phone Numbers
curl --request POST \
--url https://dataapi.dncscrub.com/v1.5/TrustCall/Remove \
--header 'Content-Type: <content-type>' \
--header 'loginId: <loginid>'import requests
url = "https://dataapi.dncscrub.com/v1.5/TrustCall/Remove"
headers = {
"loginId": "<loginid>",
"Content-Type": "<content-type>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {loginId: '<loginid>', 'Content-Type': '<content-type>'}
};
fetch('https://dataapi.dncscrub.com/v1.5/TrustCall/Remove', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://dataapi.dncscrub.com/v1.5/TrustCall/Remove",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Content-Type: <content-type>",
"loginId: <loginid>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://dataapi.dncscrub.com/v1.5/TrustCall/Remove"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("loginId", "<loginid>")
req.Header.Add("Content-Type", "<content-type>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://dataapi.dncscrub.com/v1.5/TrustCall/Remove")
.header("loginId", "<loginid>")
.header("Content-Type", "<content-type>")
.asString();require 'uri'
require 'net/http'
url = URI("https://dataapi.dncscrub.com/v1.5/TrustCall/Remove")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["loginId"] = '<loginid>'
request["Content-Type"] = '<content-type>'
response = http.request(request)
puts response.read_body[
{
"Phone": "5039367187",
"Response": "Phone number removed from monitor"
},
{
"Phone": "8084565302",
"Response": "Phone number removed from monitor"
}
]
Call Deliverability (TrustCall)
Remove Phone Numbers
Remove phone numbers from TrustCall monitoring
POST
/
v1.5
/
TrustCall
/
Remove
Remove Phone Numbers
curl --request POST \
--url https://dataapi.dncscrub.com/v1.5/TrustCall/Remove \
--header 'Content-Type: <content-type>' \
--header 'loginId: <loginid>'import requests
url = "https://dataapi.dncscrub.com/v1.5/TrustCall/Remove"
headers = {
"loginId": "<loginid>",
"Content-Type": "<content-type>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {loginId: '<loginid>', 'Content-Type': '<content-type>'}
};
fetch('https://dataapi.dncscrub.com/v1.5/TrustCall/Remove', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://dataapi.dncscrub.com/v1.5/TrustCall/Remove",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Content-Type: <content-type>",
"loginId: <loginid>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://dataapi.dncscrub.com/v1.5/TrustCall/Remove"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("loginId", "<loginid>")
req.Header.Add("Content-Type", "<content-type>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://dataapi.dncscrub.com/v1.5/TrustCall/Remove")
.header("loginId", "<loginid>")
.header("Content-Type", "<content-type>")
.asString();require 'uri'
require 'net/http'
url = URI("https://dataapi.dncscrub.com/v1.5/TrustCall/Remove")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["loginId"] = '<loginid>'
request["Content-Type"] = '<content-type>'
response = http.request(request)
puts response.read_body[
{
"Phone": "5039367187",
"Response": "Phone number removed from monitor"
},
{
"Phone": "8084565302",
"Response": "Phone number removed from monitor"
}
]
Remove phone numbers from TrustCall monitoring. Removed numbers will no longer be tracked for carrier spam scores.
Request
Headers
Request Body
The request body is a JSON array of 10-digit phone number strings:["5039367187", "8084565302"]
Example Request
curl --location --request POST \
'https://dataapi.dncscrub.com/v1.5/TrustCall/Remove' \
--header 'loginId: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data-raw '["5039367187", "8084565302"]'
const response = await fetch(
'https://dataapi.dncscrub.com/v1.5/TrustCall/Remove',
{
method: 'POST',
headers: {
'Content-Type': 'application/json',
'loginId': 'YOUR_API_KEY'
},
body: JSON.stringify(['5039367187', '8084565302'])
}
);
const data = await response.json();
console.log(data);
using (var client = new HttpClient())
{
client.DefaultRequestHeaders.Add("loginId", "YOUR_API_KEY");
var phoneNumbers = new[] { "5039367187", "8084565302" };
var content = new StringContent(
JsonSerializer.Serialize(phoneNumbers),
Encoding.UTF8,
"application/json"
);
var response = await client.PostAsync(
"https://dataapi.dncscrub.com/v1.5/TrustCall/Remove",
content
);
var result = await response.Content.ReadAsStringAsync();
Console.WriteLine(result);
}
[
{
"Phone": "5039367187",
"Response": "Phone number removed from monitor"
},
{
"Phone": "8084565302",
"Response": "Phone number removed from monitor"
}
]
Response Fields
Error Responses
| Status | Description |
|---|---|
| 400 Bad Request | Invalid request body or phone number format |
| 401 Unauthorized | Invalid or missing API key |